/*****
 * CQTApp.h
 *
 *	Application methods for a QuickTime demo application.
 *
 *****/

#define	_H_CQTApp		/* Include this file only once */

#include <CApplication.h>

#define 	kApplicationSignature	'QTm'

struct CQTApp : CApplication {

	void	IQTApp(void);
	void	SetUpFileParameters(void);
    
 	void 	MakeSwitchboard(void);

   	void    SetUpMenus(void); 
    void    UpdateMenus(void); 

	void	DoCommand(long theCommand);
    
	void	Exit(void);
	
	void	OpenDocument(SFReply *macReply);
	void	OpenQTDocument(FSSpec *spec);
	void	CreateDocument(void);
};
