/****
 * CQTDoc.h
 *
 *	Document methods for the QuickTime Demo application.
 *
 ****/

#define	_H_CQTDoc			/* Include this file only once */
#include <CDocument.h>
#include <CApplication.h> 
#include <Movies.h>

#define kApplicationFileType	MovieFileType

struct CQTDoc : CDocument {

									/** Construction/Destruction **/
                                    
    
    void        IQTDoc(CApplication *aSupervisor, Boolean printable);
    void        Dispose(void);

	void		DoCommand(long theCommand);

    void        UpdateMenus(void);  

	void		NewFile(void);
	void		OpenQTFile(FSSpec *movieSpec);
	void		BuildWindow(FSSpec *movieSpec);
};